WHOIS++D(8)

NAME
whois++d - Whois++ white pages server

SYNOPSIS
whois++d [ -b basename ] [ -d debuglevel ] [ -h ldaphost ] [ -i ] [ -l ] [ -s maxhits ] [ -t timelimit ] [ -T tailorfile ] [ -u user ] [ -v ] [ -? ]

DESCRIPTION
Whois++d is an implementation of the new whois++ white pages server. The server is in reality a DUA interface that uses the lightweight directory access protocol [RFC????] to communicate with an X.500 Directory System Agent (DSA) via a server. The whois++ architecture (and command format) is described in an Internet Draft of the IETF's WNILS Working Group. By default whois++d reads it's configuration information from a tailor file (whois++dtailor) located in the ETCDIR but this may be supplemented by command line options, including the specification of a secondary tailor file.

Options are:

-b  Specify the base for all queries, this must be specified either via the commandline or (more normally) via the tailor file.

-d  Print debugging information. A number after the ``d'' determines the level of messages printed.

-h  Specify the host running the server.

-i  If the entry for the ``base'' of the searches has an info attribute then print it as part of the welcome banner.

-l  Enable logging of queries via syslog.

-s  Specify the maximum number of entries you wish returned as a result of a search. This is normally controlled by the DSA but if this is not possible then it can be restricted via this option.

-t  Specify a timelimit for queries to the DSA. Note this is not the timeout limit between queries when using the hold constraint.

-T  Specify an additional tailor file. Useful if you only have a binary and the default location is not what you consider to be a ``normal'' place.

-u  Specify the user's DN to use when binding to the directory.

-v  Return the version number of this server and then exit.

-?  Print a list of valid commandline options and then exit.

CONFIGURATION FILE
When started whois++d reads it's configuration file before processing any command line options. The configuration commands that may be included in this tailor file are

banner
    Specify a file to display as a welcome message.

base
    This specifies the entry within the DIT where searches will commence. This is normally set to the organisation's entry.

configdir
    Identifies where the configuration files may be found, currently only used for the template descriptions.

contact
    This is the distinguished name of the person responsible for this service, and whose entry will be displayed if the client uses the `describe' query. If this is not defined in the configuration file it defaults to the DSA manager.

helpdir
    This directory contains the multi-lingual help files. There should be a subdirectory for each language supported and within these subdirectories are helpfiles that are displayed by the server. At a minimum there should be an english directory containing a `general' helpfile (which contains introductory information).

hostname
    Used when the server is queried using the `describe' command. If not specified it will default to the local hostname.

language
    Specify the default language to be used when producing diagnostic messages.

ldaphost
    This specifies the host running a ldap server which can be used to communicate with the X.500 DSA.

password
    The password to use then binding to the X.500 DSA.

template
    The whois++ template name is not always the same as the X.500 object class so this option allows the two values to be associated with each other. The two values are template-name and objectclass-name.

user
    The LDAP distinguished name of the user to use when binding to the directory. This is optional but the DSA may restrict the information available to the whois++ server unless it authenticates itself. Multi-lingual support is not available yet.

FILES
ETCDIR/whois++dtailor    whois++ server tailor file

SEE ALSO
ldapd(8)